OpenPosition
Endpoint URL
Local Host : POST http://127.0.0.1:5000/api/v1/openposition
Ngrok Domain : POST https://<your-ngrok-domain>.ngrok-free.app/api/v1/openposition
Custom Domain: POST https://<your-custom-domain>/api/v1/openpositionSample API Request
{
"apikey": "<your_app_apikey>",
"symbol": "YESBANK",
"exchange": "NSE",
"product": "MIS",
"strategy": "Test Strategy"
}Sample cURL Request
curl -X POST http://127.0.0.1:5000/api/v1/openposition \
-H 'Content-Type: application/json' \
-d '{
"apikey": "<your_app_apikey>",
"symbol": "YESBANK",
"exchange": "NSE",
"product": "MIS",
"strategy": "Test Strategy"
}'Sample API Response
Sample API Response (No Position)
Request Body
Parameter
Description
Mandatory/Optional
Default Value
Response Fields
Field
Type
Description
Understanding Position Quantity
Quantity Value
Meaning
Notes
Use Cases
Related Endpoints
Last updated